Package org.apache.lucene.analysis.morph

# Class TokenInfoFST

java.lang.Object
org.apache.lucene.analysis.morph.TokenInfoFST

public abstract class TokenInfoFST extends Object
Thin wrapper around an FST with root-arc caching.

Root arcs between `cacheFloor` and `cacheFloor` are cached.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final FST<Long>`
`fst`
`final Long`
`NO_OUTPUT`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`TokenInfoFST(FST<Long> fst, int cacheCeiling, int cacheFloor)`

## Method Summary

Modifier and Type
Method
Description
`FST.Arc<Long>`
`findTargetArc(int ch, FST.Arc<Long> follow, FST.Arc<Long> arc, boolean useCache, FST.BytesReader fstReader)`
`FST.BytesReader`
`getBytesReader()`
`FST.Arc<Long>`
`getFirstArc(FST.Arc<Long> arc)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### fst

protected final FST<Long> fst

### NO_OUTPUT

public final Long NO_OUTPUT

## Constructor Details

### TokenInfoFST

protected TokenInfoFST(FST<Long> fst, int cacheCeiling, int cacheFloor) throws IOException

Throws:
  `IOException`

## Method Details

### findTargetArc

public FST.Arc<Long> findTargetArc(int ch, FST.Arc<Long> follow, FST.Arc<Long> arc, boolean useCache, FST.BytesReader fstReader) throws IOException

Throws:
  `IOException`

### getFirstArc

public FST.Arc<Long> getFirstArc(FST.Arc<Long> arc)

### getBytesReader

public FST.BytesReader getBytesReader()